package com.zkqy.execution.produce.dispersed.entity;

import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;

/**
 * 执行流程用户、节点关联脚本中间对象 bpm_execute_node_middle
 * 
 * @author hzh
 * @date 2023-11-01
 */
public class BpmExecuteNodeMiddle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 任务流程编码 */
    @Excel(name = "节点编码")
    private String taskProcessKey;

    /** 节点编码 */
    @Excel(name = "节点编码")
    private String taskNodeKey;

    /** 虚拟角色编码 */
    @Excel(name = "虚拟角色编码")
    private String taskVirtuallyRole;

    /** 角色编码1，2，3 */
    @Excel(name = "角色编码1，2，3")
    private String taskRealRole;

    /** 执行用户编号1，2，3 */
    @Excel(name = "执行用户编号1，2，3")
    private String taskExecuteUserNo;

    /** 手动触发脚本编码1，2，3 */
    @Excel(name = "异常触发脚本编码1，2，3")
    private String taskArtificialScriptKey;

    /** 自动触发脚本编码1，2，3(自动触发的脚本需要根据执行节点表中的节点前后执行) */
    @Excel(name = "正常触发脚本编码(自动触发的脚本需要根据执行节点表中的节点前后执行)")
    private String taskAutomaticScriptTriggerType;


    /** 自动触发的脚本需要根据执行节点表中的节点前后执行 */
    private String taskNodeAroundScriptKey;




    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public String getTaskProcessKey() {
        return taskProcessKey;
    }

    public void setTaskProcessKey(String taskProcessKey) {
        this.taskProcessKey = taskProcessKey;
    }

    public void setTaskNodeKey(String taskNodeKey)
    {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskNodeKey() 
    {
        return taskNodeKey;
    }
    public void setTaskVirtuallyRole(String taskVirtuallyRole) 
    {
        this.taskVirtuallyRole = taskVirtuallyRole;
    }

    public String getTaskVirtuallyRole() 
    {
        return taskVirtuallyRole;
    }
    public void setTaskRealRole(String taskRealRole) 
    {
        this.taskRealRole = taskRealRole;
    }

    public String getTaskRealRole() 
    {
        return taskRealRole;
    }
    public void setTaskExecuteUserNo(String taskExecuteUserNo) 
    {
        this.taskExecuteUserNo = taskExecuteUserNo;
    }

    public String getTaskExecuteUserNo() 
    {
        return taskExecuteUserNo;
    }
    public void setTaskArtificialScriptKey(String taskArtificialScriptKey) 
    {
        this.taskArtificialScriptKey = taskArtificialScriptKey;
    }

    public String getTaskArtificialScriptKey() 
    {
        return taskArtificialScriptKey;
    }
    public void setTaskAutomaticScriptTriggerType(String taskAutomaticScriptTriggerType) 
    {
        this.taskAutomaticScriptTriggerType = taskAutomaticScriptTriggerType;
    }

    public String getTaskAutomaticScriptTriggerType() 
    {
        return taskAutomaticScriptTriggerType;
    }

    public String getTaskNodeAroundScriptKey() {
        return taskNodeAroundScriptKey;
    }

    public void setTaskNodeAroundScriptKey(String taskNodeAroundScriptKey) {
        this.taskNodeAroundScriptKey = taskNodeAroundScriptKey;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("BpmExecuteNodeMiddle{");
        sb.append("id=").append(id);
        sb.append(", taskProcessKey='").append(taskProcessKey).append('\'');
        sb.append(", taskNodeKey='").append(taskNodeKey).append('\'');
        sb.append(", taskVirtuallyRole='").append(taskVirtuallyRole).append('\'');
        sb.append(", taskRealRole='").append(taskRealRole).append('\'');
        sb.append(", taskExecuteUserNo='").append(taskExecuteUserNo).append('\'');
        sb.append(", taskArtificialScriptKey='").append(taskArtificialScriptKey).append('\'');
        sb.append(", taskAutomaticScriptTriggerType='").append(taskAutomaticScriptTriggerType).append('\'');
        sb.append(", taskNodeAroundScriptKey='").append(taskNodeAroundScriptKey).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
